Versione API Graph

Instagram Oembed

Lettura

InstagramOembed

Esempio

Graph API Explorer
GET /v26.0/instagram_oembed HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/instagram_oembed',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/instagram_oembed",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/instagram_oembed",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/instagram_oembed"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se desideri scoprire come usare l'API Graph, leggi la nostra Guida per l'utilizzo dell'API Graph.

Parametri

ParametroDescrizione
hidecaption
boolean

If set to true, the embed code hides the caption. Defaults to false if parameter is not included in request.

maxwidth
int64

Maximum width of returned media. Must be between 320 and 658. Note that the maxheight parameter is not supported. This is because the embed code is responsive and its height varies depending on its width and length of the caption.

omitscript
boolean

If set to true, the returned embed HTML code will not include any javascript.

url
URI

The post's URL.

Obbligatorio

Campi

CampoDescrizione
html
string

The HTML used to display the post.

provider_name
string

Name of the provider (Instagram)

provider_url
string

URL of the provider (Instagram)

type
string

The oEmbed resource type. See https://oembed.com/.

version
string

Always 1.0. See https://oembed.com/

width
int32

The width in pixels required to display the HTML.

Error Codes

ErroreDescrizione
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token
368The action attempted has been deemed abusive or is otherwise disallowed

Creazione

Non puoi eseguire questa operazione in questo endpoint.

Aggiornamento

Non puoi eseguire questa operazione in questo endpoint.

Eliminazione

Non puoi eseguire questa operazione in questo endpoint.